/*
 * complex operation program copyright (C) 2009 H.Niwa
 */

/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301, USA.
 */

#ifndef __COMPLX_H__
#define __COMPLX_H__

extern int CReal(Context* cx, Node* goalscar);
extern int CImage(Context* cx, Node* goalscar);

extern int CAbs(Context* cx, Node* goalscar);
extern int CArg(Context* cx, Node* goalscar);
extern int CNorm(Context* cx, Node* goalscar);
extern int CConj(Context* cx, Node* goalscar);
extern int CPolar(Context* cx, Node* goalscar);

extern int CSin(Context* cx, Node* goalscar);
extern int CCos(Context* cx, Node* goalscar);
extern int CTan(Context* cx, Node* goalscar);

extern int CASin(Context* cx, Node* goalscar);
extern int CACos(Context* cx, Node* goalscar);
extern int CATan(Context* cx, Node* goalscar);

extern int CSinh(Context* cx, Node* goalscar);
extern int CCosh(Context* cx, Node* goalscar);
extern int CTanh(Context* cx, Node* goalscar);

extern int CASinh(Context* cx, Node* goalscar);
extern int CACosh(Context* cx, Node* goalscar);
extern int CATanh(Context* cx, Node* goalscar);

extern int CLog(Context* cx, Node* goalscar);
extern int CLog10(Context* cx, Node* goalscar);

extern int CPow(Context* cx, Node* goalscar);
extern int CSqrt(Context* cx, Node* goalscar);
extern int CBrt(Context* cx, Node* goalscar);

extern int CExp(Context* cx, Node* goalscar);
extern int CExp2(Context* cx, Node* goalscar);
extern int CExp10(Context* cx, Node* goalscar);


#endif

